commit 3387129532899eaeee3477a2d92fa662d7292a84
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 20 08:54:24 2022 -0800

    libXrandr 1.5.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7181160b2c32b1bb804792990783fa25c1122bae
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Oct 17 17:57:19 2022 -0700

    Remove unnecessary casts of return values from malloc()
    
    Not needed in C89 and later
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8710ed270fbb9ec905b906826cb09095c57003f8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Oct 17 17:24:23 2022 -0700

    Variable scope reductions as recommended by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 684ed1b997f9e8a2fe2219524c1dea04b20a7e25
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Oct 17 16:45:38 2022 -0700

    XRRGetProviderInfo: Remove unneeded ProviderInfoExtra
    
    It was always 0, hence caused gcc warnings:
    
    XrrProvider.c: In function ‘XRRGetProviderInfo’:
    XrrProvider.c:133:49: warning: comparison of unsigned expression < 0 is always false [-Wtype-limits]
         if (rep.length > INT_MAX >> 2 || rep.length < ProviderInfoExtra >> 2)
                                                     ^
    XrrProvider.c:135:17: warning: comparison of unsigned expression < 0 is always false [-Wtype-limits]
      if (rep.length < ProviderInfoExtra >> 2)
                     ^
    XrrProvider.c:135:5: warning: this condition has identical branches [-Wduplicated-branches]
      if (rep.length < ProviderInfoExtra >> 2)
         ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8ddb2aefcda77709cf98f15fbcb7d97a2d00ab7d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Oct 17 16:36:01 2022 -0700

    Xrandr.h: remove misleading comment for XRRGetScreenSizeRange()
    
    Closes: #7
    Fixes: 5e94f07 ("GetScreenSizeRange: Document funky return code in the header")
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d66693441f688867e6fd4a5d4a4bdade9a338755
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 17:32:18 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e4c7841eb916f8ad65bfe63daef0f1e81252c704
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 17:31:20 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit be3c7a7621e89bbde2884585179b9e4c5b9e6639
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 17:29:30 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 55dcda4518eda8ae03ef25ea29d3c994ad71eb0a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 16 13:54:20 2019 -0700

    libXrandr 1.5.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2a03e8d069fce635981aad248e1cab14ed93e176
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 16 13:53:42 2019 -0700

    Add description of libXrandr to README.md
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 583d4f114d36e4df87ba3ed1201acae4aefb68dc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:48:28 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 08fab8367ea5357314d1c54edac04bc6a38da074
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 22:35:01 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 87227e5fc79750d3eccc3c3482a3c5b3f2af2e90
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sat Jan 28 15:37:57 2017 +0100

    Fix memory leak on error paths
    
    Introduced in commit a0df3e1c7728205e5c7650b2e6dce684139254a6 "Avoid out
    of boundary accesses on illegal responses"
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 5fb14f7a2c6da81c8e6bb325b354141233ab7d0a
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit e0303d9c61d55081ffe4365a24107d851f457948
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f26e07fa0fdb7f5cb5c82a3bb0ab5494fe3faa29
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 54ac1eb5d14636002b018607227c6d52cca0b754
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Oct 4 21:23:23 2016 +0200

    libXrandr 1.5.1
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit a0df3e1c7728205e5c7650b2e6dce684139254a6
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sun Sep 25 22:21:40 2016 +0200

    Avoid out of boundary accesses on illegal responses
    
    The responses of the connected X server have to be properly checked
    to avoid out of boundary accesses that could otherwise be triggered
    by a malicious server.
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit 8ac94020b018105240ea45a87df2603d1eb5808b
Author: walter harms <wharms@bfs.de>
Date:   Thu Jul 28 19:32:46 2016 +0200

    fix: redundant null check on calling free()
    
    janitorial patch: remove some unneeded if() before free()
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

commit 4ed36e386b21c1a65d614d5bf2b2c82d1e74ae2e
Author: walter harms <wharms@bfs.de>
Date:   Thu Jul 28 19:31:10 2016 +0200

    fix: doGetScreenResources() info: redundant null check on calling free()
    
    janitorial patch: remove some unneeded if() before free()
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

commit 4437436906cbba5121115e552d564262e8b4c784
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 16 01:55:30 2014 -0800

    Add monitors, update to version 1.5 (v2)
    
    v2: [airlied]
    xrandr was giving the outputs from 0 for each monitor instead of
    incrementing the pointer.
    add get_active support.
    
    Reviewed-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7402eaa0185110a60cf4aae32d7b470c1372b45b
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 16 17:05:18 2014 -0800

    libXrandr: Clean up compiler warnings
    
    This removes warnings about shadowing local variables with the same
    name, and type mismatches with _XRead32.
    
    Reviewed-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bc00b4fb0b52ed2f6f8544fa3b5da9693ee7ed90
Author: Michael Joost <mehl@michael-joost.de>
Date:   Mon Nov 18 16:11:26 2013 +0100

    Remove fallback for _XEatDataWords, require libX11 1.6 for it
    
    _XEatDataWords was orignally introduced with the May 2013 security
    patches, and in order to ease the process of delivering those,
    fallback versions of _XEatDataWords were included in the X extension
    library patches so they could be applied to older versions that didn't
    have libX11 1.6 yet.   Now that we're past that hurdle, we can drop
    the fallbacks and just require libX11 1.6 for building new versions
    of the extension libraries.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 30a7b506ae2071b8d265ce4eaeed1af60bc7ee7b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 7 21:50:49 2013 -0700

    libXrandr 1.4.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 293d6b579b243574d98bd5974cce6e5fe48e7613
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 7 21:49:52 2013 -0700

    Add copyright notice from src/XrrProvider.c to COPYING
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4e4bbb85499cff052ce03e173b88f1083ba83f86
Author: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
Date:   Mon Jun 14 13:45:08 2010 +0300

    XRRUpdateConfiguration: Check if getting screen for root fails
    
    XRRRootToScreen might return -1 if it fails to find screen for the root
    window.  Following code uses screen number unconditionally to index the
    screen array.
    
    Signed-off-by: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9e4abe746786f0f632d1f82f99fe0c6b8ffedf9e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 30 16:52:59 2013 -0700

    XRRGetProviderInfo returned bad associated_capability list in 64-bit
    
    Unlike most of the values returned by this function, which are arrays
    of XIDs (long int), associated_capability is defined as an array of
    unsigned int.   _XRead32 reads 32-bit values from the wire protocol
    and writes them to the provided buffer as an array of long ints, even
    if that means expanding them from 32-bit to 64-bit.   Doing that for
    associated_capability resulted in a garbage value between each actual
    value, and overflowing the provided buffer into the space for the
    provider name (which is written later and would overwrite the overflowed
    data).
    
    Created xhiv libXrandr/XRRGetProviderInfo test case to test & confirm.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit f97d44f8fb9f90ce3227cca8affd3b947e9b08ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 31 15:52:23 2013 -0700

    libXrandr 1.4.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c90f74497dbcb96854346435349c6e2207b530c5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 4 21:47:50 2013 -0700

    Make XRRGet*Property() always initialize returned values
    
    Avoids memory corruption and other errors when callers access them
    without checking to see if the calls returned an error value.
    
    Callers are still required to check for errors, this just reduces the
    damage when they don't.
    
    (Same as reported against libX11 XGetWindowProperty by Ilja Van Sprundel)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4254bf0ee4c7a8f9d03841cf0d8e16cbb201dfbd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 4 21:37:49 2013 -0700

    integer overflow in XRRGetProviderProperty() [CVE-2013-1986 4/4]
    
    If the reported number of properties is too large, the calculations
    to allocate memory for them may overflow, leaving us returning less
    memory to the caller than implied by the value written to *nitems.
    
    (Same as reported against libX11 XGetWindowProperty by Ilja Van Sprundel)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 289a1927949e6f278c18d115772e454837702e35
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 4 21:37:49 2013 -0700

    integer overflow in XRRGetOutputProperty() [CVE-2013-1986 3/4]
    
    If the reported number of properties is too large, the calculations
    to allocate memory for them may overflow, leaving us returning less
    memory to the caller than implied by the value written to *nitems.
    
    (Same as reported against libX11 XGetWindowProperty by Ilja Van Sprundel)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1da5b838c2a8565d4d95a4e948f951ce6b466345
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 12 21:44:59 2013 -0700

    integer overflow in XRRQueryProviderProperty() [CVE-2013-1986 2/4]
    
    Same problem as XRRQueryOutputProperty() that it was cloned from
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0e79d96c36aef5889ae2e2a3fc2e96e93f30dc21
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 12 21:44:59 2013 -0700

    integer overflow in XRRQueryOutputProperty() [CVE-2013-1986 1/4]
    
    rep.length is a CARD32, while rbytes was a signed int, so
       rbytes = sizeof (XRRPropertyInfo) + rep.length * sizeof (long);
    could result in integer overflow, leading to an undersized malloc
    and reading data off the connection and writing it past the end of
    the allocated buffer.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1c7ad6773ce6be00dcd6e51e9be08f203abe5071
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 3 23:29:22 2013 -0700

    Use _XEatDataWords to avoid overflow of rep.length bit shifting
    
    rep.length is a CARD32, so rep.length << 2 could overflow in 32-bit builds
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 99a63d10cbbab7d69a52d25d78795a3278506ea9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 18 23:14:01 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 150cf8788a94fc5fb519764e1d46cb520c1d4043
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit c3486bccee2aaa2668f7d24d3e1bc01f3832f301
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6dfe7d4fa04a5054ee3daeb654ac5a763f37fed1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 31 21:39:10 2012 -0700

    Constify a couple string arguments that are just copied, not modified
    
    Fixes compiler warnings when building app/xrandr:
    
    xrandr.c: In function ‘crtc_set_transform’:
    xrandr.c:1459:9: warning: passing argument 4 of ‘XRRSetCrtcTransform’ discards qualifiers from pointer target type
    X11/extensions/Xrandr.h:419:1: note: expected ‘char *’ but argument is of type ‘const char *’
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>

commit 39976a7d1cc9e737e662695ae5326af805c50a27
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 26 14:15:18 2012 +1000

    libXrandr: bump to 1.4.0 for release
    
    This adds support for the provider queries and events.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 5d2edde0bf8460aab250dd83743aedb5c66a243e
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jan 20 17:40:10 2012 +0000

    libXrandr: add support for provider objects.
    
    This adds the client side libXrandr support for randr 1.4,
    and provider objects.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit a9457b44539420c0b7a082ef6ecc5fd3391e8801
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jul 27 17:47:12 2010 +0100

    Fill in nameLen in XRROutputInfo
    
    Even though it probably makes more sense to just strlen() the name, for
    some reason there's a nameLen field in XRROutputInfo, so might as well
    actually fill it in.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reported-by: Leif Middelschulte <leif.middelschulte@gmail.com>

commit a0e20c08bbe18b41ea54c319bd83874b5a7f9788
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:50:38 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 754b492ddf490682c5fff2518a36d0afb5655a36
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 29 21:50:39 2011 -0700

    libXrandr 1.3.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2a8e4e3b6c28d095e315da6874a72e05ef113edb
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Mar 31 03:43:57 2011 +0200

    Xrandr.man: Document how to request notifications.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit 7613d6e70c4af791bdb3e005a6231f1d4d14745c
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Mar 3 16:17:51 2011 +0100

    Xrandr.man: Fix parenthesis escaping.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit d0b9b06d2d0b85da3eb89adf4abd973b092201df
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Mar 3 16:01:56 2011 +0100

    Xrandr.man: Fix missing closing parenthesis.
    
    Also fix the closing tag (\fP instead of \fI).
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit cf351e133c71fdae77c961373e01258404a5ff7f
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Mar 3 15:54:58 2011 +0100

    Xrandr.man: Build full sentences for easier reading.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit e92474f36a2157ce8939b143e077d9342638e74a
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Mar 3 15:52:58 2011 +0100

    Xrandr.man: Fix typo.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit d77cd6cc30bd9ebaea7c3b1c97e6984844a607f9
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Mar 3 15:50:08 2011 +0100

    Xrandr.man: Try to make some sense.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Magnus Kessler <Magnus.Kessler@gmx.net>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit 58b664ba4c8c8d34a2c6169dbaf55f0d21fc0139
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Mar 3 15:49:57 2011 +0100

    Xrandr.man: Build full sentences, possibly easier to read.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit dfb543b9061428e745b7a1b5910c46ffa46fadf5
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Mar 3 15:34:41 2011 +0100

    Xrandr.man: Fix grammar.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit f340f5b117b69cccabf9b3a0f2834a4b6aae057e
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Mar 3 15:32:03 2011 +0100

    Xrandr.man: Remove trailing spaces.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit 2da3bb5e59db3ed5f689686774dd051766dd39a6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:44 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines

commit 04d5ffa04c2255025580ce1740c3f0bb2146e716
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ae18cc9cd98f4db512a21e0b4e1cb18a69fcf532
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 16:34:14 2011 -0500

    config: remove unrequired AC_CONFIG_AUX_DIR
    
    The default location for the generation of configuation files is the current
    package root directory. These files are config.* and friends.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c1c5283f37387fbae7772e1dcd56528a515f0a23
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:15 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b7e31c69d345d3cba359d7648c304cff43ff7437
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 28 12:34:26 2010 -0700

    libXrandr 1.3.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f490ed44a1c85c75183d87d034b94f9973b88abd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 28 12:30:27 2010 -0700

    Fix configure.ac comment for RandR instead of Render
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 95cf69bd452db86b6aefe3837e1f7010ebf21e80
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 28 12:27:30 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 12f22e0ae0cbd748b416c7e2486f289f89c5c77c
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:30:03 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 247ad2a3865ba503e6c77444f855c71e7a210f13
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 17 07:57:08 2010 -0400

    man: store shadow man pages in git rather than generating them
    
    Simplify the build process and the makefile.
    
    Local fix in CVS for bug 5628 is not required
    as the problem has been fixed in
    util-macros d9062e4077ebfd0985baf8418f3d0f111b9ddbba
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8f23ad4703c7fcfdd7d53d52ddebb7590c3cb265
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 8 14:40:39 2010 -0700

    Use make rules instead of shell for loops to generate shadow man pages
    
    Allows parallel make and simpler build logs/error reporting
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 82bc24d6137cc4f03944af88e69c4d67b26d3cc9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 8 14:34:18 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e5c60f477fc68634f1fa31a2fc4a166642ab318
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:01:47 2010 -0300

    Purge macros NEED_EVENTS and NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 18517a55d08cdcf9e29bed6761cf4311e1d4109f
Author: Leif Middelschulte <leif.middelschulte@gmail.com>
Date:   Tue May 25 14:52:50 2010 -0300

    Add parameter safety check
    
    As mentioned in bugzilla ticket 28150.
    Calling '_XRRValidateCache' with 'improper' arguments results in a SEGV.
    This patch adds a parameter validation to the mentioned function.
    
    Signed-off-by: Leif Middelschulte <leif.middelschulte@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7a7bac907ac15033c0ddb979202c7f3ddc368726
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:34 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 883acff30b23c2bdf446988ff7b780cd61e49a5e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:49 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 74bb9072015b8a785f6b6458ba0605287a1ffcaf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Feb 16 10:37:21 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 449d22180549d990ad3164c98b22968359b55df2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 14 09:41:26 2010 -0500

    COPYING: add missing copyright notices
    
    Refer to: Xrandr.h XrrConfig.c
    Copyright © 2006 Intel Corporation
    Copyright © 2008 Red Hat, Inc.
    Copyright © 2006 Keith Packard
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 51887f07a7722576933ddcc00c5380266d6fa37c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 21:02:20 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit cd6fcaeaf0da7ca66ec0ab63ce282def37c21c3b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:04 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 61c4a57286b601ff266a15565740aea31e68d1bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 170a3efb274d473165a8d6085c185792b1c43005
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 8567a45cb36857a8b5e2699a3d3ed7850b053281
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:43 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 015687dbec93d954fb18981bc6e15937a206a4b7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 2e07e9d4f300e8153e4e93cd78bc51e0d91dba6f
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Nov 9 17:51:03 2009 -0500

    GetCrtcGamma: Fix error handling.
    
    We didn't treat _XReply failure as fatal.  Parsing an xError as a gamma
    ramp reply doesn't work that often.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 7b41b589213293793182b61f20006229a89d5ba7
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Nov 9 17:50:42 2009 -0500

    GetCrtcGammaSize: Return 0, not garbage, on failure
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 5e94f071f45ca504ccafe083e2e289351ba6eab4
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Nov 9 17:49:40 2009 -0500

    GetScreenSizeRange: Document funky return code in the header
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit f98cbea8b33356a0de1f777c3a862ecbf163cfd3
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Nov 9 17:49:10 2009 -0500

    SetScreenConfigAndRate: Document error handling better
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit a8af918c0db758a667345b7c3055075124197f6c
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Nov 9 17:48:22 2009 -0500

    GetOutputProperty: Return the error code, not BadRequest
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 7f463b2a2221065c03b6122c0cffd2fa5cb13427
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:26 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit e3036766916d55d0c8ae72d5752fd1699ae7390d
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Mar 6 15:13:56 2009 +0100

    Bump to 1.3.0

commit 6bf8648e7e408be7a869fd4c4527a4fd73fc687d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:36 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 70d641c6d170cda44856579dfdcb42d3bb1f8221
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 30 20:12:43 2009 -0800

    Send X_RRGetOutputPrimary when making an X_RRGetOutputPrimary request
    
    Using X_RRGetOutputProperty does not yield success here.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bf284b043d4c5688da2207647126b095f8c2b0cd
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Jan 30 16:38:03 2009 -0200

    Janitor: make distcheck, compiler warnings, .gitignore
    
      Warning corrections are either unused symbols or using an
    integer as a pointer (generated by sparse).

commit a0c45b798d2fa810167d64a92093840178f993b1
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Dec 21 16:32:17 2008 +0100

    Fix thinkos
    
    * XRRExtensionInfo can be static
    * XRRExtensionName is not called XrandrExtensionName

commit 8574ffb20fa10b6f2e9a5f115f23506b93c64b12
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 17 11:33:37 2008 -0500

    libXrandr 1.2.99.4

commit e2f075ea3927f83fb7ee8b359ef951222e8f894b
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 17 11:29:05 2008 -0500

    Define _XRRHasRates internally.

commit 53bd07438d3671dca86df2bf3052f89ee8ce0891
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 17 11:27:19 2008 -0500

    Be sure to return NULL when returning no properties.

commit 7c1ccb19bd2545ccdf7099489e946e772a25649f
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 17 11:25:20 2008 -0500

    Use RRCheckExtension in function returning a value.

commit 2db939e82c29fa3ab868bac9d2b54de18419004b
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 17 11:24:33 2008 -0500

    Fix type of GetReq() argument.

commit c79e2aecab080d8f47b258ae3c4dd9394280ae2a
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 17 11:23:51 2008 -0500

    Use RRSimpleCheckExtension in functions returning void

commit dda80ea67e33d18f7cc869c6f828c444c8966704
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Dec 12 13:04:57 2008 +0100

    Bump to 1.2.99.3

commit 59c8812099f33d56b43044f999ffe5df16adf5ff
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 8 15:37:53 2008 -0500

    Add [GS]etOutputPrimary

commit 0f11922bdc0d4e3929df4dc967379ea0b48338b8
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Dec 4 18:24:42 2008 +0100

    Bump to 1.2.99.2.
    
    Note the .99

commit e788c1ed41e029e54470a2c79f1478c1be7bba92
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Dec 4 15:51:07 2008 +0100

    Nuke config-timestamp for panning.
